6.0.0-git
2019-03-21

[#8987] Delete contact in "Contact List" doesn't work
Summary Delete contact in "Contact List" doesn't work
Queue Turba
Queue Version 2.3.3
Type Bug
State Not A Bug
Priority 1. Low
Owners
Requester sistemisti-posta (at) csi (dot) it
Created 2010-04-26 (3251 days ago)
Due
Updated 2018-04-11 (344 days ago)
Assigned
Resolved 2010-04-26 (3251 days ago)
Milestone
Patch No

History
2018-04-11 09:45:03 rene (dot) marth (at) hetzner (dot) de Comment #5 Reply to this comment
I can confirm that this bug is NOT fixed. It still happens with Turba 4.2.21
2010-04-27 07:40:36 Jan Schneider Comment #4 Reply to this comment
That's a bug that already has been fixed in CVS.
2010-04-27 06:26:49 sistemisti-posta (at) csi (dot) it Comment #3 Reply to this comment
The deleted contact is automatically removed from the list though, 
once it is opened by the list owner.
About above, really I don't see this.
No, the deleted contact is not automatically removed from the list, 
once it is opened by the list owner. This only happen if the deleted 
contact has placed on the same address book of the list.
You could verify this if you have multiple/shared address books.

2010-04-26 13:26:16 Jan Schneider Comment #2
State ⇒ Not A Bug
Reply to this comment
This is how distribution lists are implemented at the moment. There is 
no n-to-n relation between lists and contacts.
The deleted contact is automatically removed from the list though, 
once it is opened by the list owner.
2010-04-26 09:31:53 sistemisti-posta (at) csi (dot) it Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Delete contact in "Contact List" doesn't work
Queue ⇒ Turba
Milestone ⇒
Patch ⇒ No
Reply to this comment
I notice following problem with last Turba on mysql.

Let suppose I insert in a "contact list" a contact from different 
address books of "contact list".
Then, when I delete the contact and I select the contact list I 
receive this warning:

"There is 1 contact in this list that is not viewable to you"
The problem is that the contact has removed from address book, but not 
from contact list.


For instance:
I create AddressBook "A"
I create AddressBook "B" with contact "Joe"
I create contact list "ml" in AddressBook A with the member "Joe" of 
AddressBook "B".
I delete contact "Joe" from Address Book "B".
In Address Book "A" I enter in contact list "ml" and I see the warning:
      "There is 1 contact in this list that is not viewable to you"

Ps: contact lists work as expected only if I add/remove contact of the 
same address book where the contact list has placed.

Saved Queries